package git

import (
	"errors"
	"testing"

	"github.com/go-git/go-git/v5"
	"github.com/stretchr/testify/assert"
)

func TestIsClean(t *testing.T) {
	isClean, err := IsClean("/tmp")
	assert.Equal(t, isClean, false)
	assert.True(t, errors.Is(err, git.ErrRepositoryNotExists))
}
